Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class SlipAchieveConds

    java.lang.Object
      ix.iplan.SlipAchieveConds

All Implemented Interfaces:
  java.lang.Runnable

     class SlipAchieveConds

extends java.lang.Object
implements java.lang.Runnable

Introduces nodes intended to satisfy preconditions of a node already in the plan.

Nested Class Summary
`(package private) static class` | `SlipAchieveConds.SatisfyEvalNowConds`

Field Summary
`(package private) ix.icore.domain.ListOfConstraint` | `conds`
`(package private) AgendaItem` | `item`
`(package private) Slip` | `slip`

Constructor Summary
`SlipAchieveConds(Slip slip, PNode node, ix.icore.domain.ListOfConstraint conds)`

Method Summary
`(package private) boolean` | `findSatisfactionMethods(java.util.List goalNodes, java.util.List evalNow, java.util.List impossible)`
`(package private) java.util.List` | `makeGoalNodes()`
`(package private) boolean` | `parallelMightSatisfy(PatternAssignment pv, java.util.List shadowed)`
`void` | `run()`
`(package private) boolean` | `willBindVars(java.util.List evalNow, Constraint cond)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### slip

    Slip slip

### item

    AgendaItem item

### conds

    ix.icore.domain.ListOfConstraint conds

Constructor Detail

### SlipAchieveConds

    SlipAchieveConds(Slip slip,
                     PNode node,
                     ix.icore.domain.ListOfConstraint conds)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### makeGoalNodes

    java.util.List makeGoalNodes()

### findSatisfactionMethods

    boolean findSatisfactionMethods(java.util.List goalNodes,
                                    java.util.List evalNow,
                                    java.util.List impossible)

### willBindVars

    boolean willBindVars(java.util.List evalNow,
                         Constraint cond)

### parallelMightSatisfy

    boolean parallelMightSatisfy(PatternAssignment pv,
                                 java.util.List shadowed)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD